package net.moonleay.gimble.datagen

import net.moonleay.gimble.build.BuildConstants
import net.fabricmc.fabric.api.datagen.v1.DataGeneratorEntrypoint
import net.fabricmc.fabric.api.datagen.v1.FabricDataGenerator
import org.apache.logging.log4j.LogManager

internal class DataGenerator : DataGeneratorEntrypoint {
    private val LOGGER = LogManager.getLogger(BuildConstants.modName)

    override fun onInitializeDataGenerator(fabricDataGenerator: FabricDataGenerator) {
        LOGGER.info("Starting Data Generation")
        fabricDataGenerator.addProvider(En_us_GimbleLanguageProvider(fabricDataGenerator))
    }
}
